Bug 21707 - Не проходит создание загрузочного устройства USB
: Не проходит создание загрузочного устройства USB
Status: CLOSED FIXED
: Branch 5.1
(All bugs in Branch 5.1/alterator-mkbootflash)
: unspecified
: all Linux
: P3 normal
Assigned To:
:
:
:
:
: 19564
  Show dependency tree
 
Reported: 2009-09-25 12:25 by
Modified: 2010-10-27 17:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-09-25 12:25:57
При создании загрузочного устройства USB, через какое то время падает xorg и
после чего компьютер полностью зависает. На USB наличие системы есть которая
занимает около 1,4 Гб, но загрузиться с нее не возможно.
------- Comment #1 From 2009-11-11 01:11:41 -------
Подтверждается:
http://aceler.livejournal.com/797520.html?thread=4927312
------- Comment #2 From 2009-11-11 01:25:14 -------
Перевесил на 5.1, для него она critical.
------- Comment #3 From 2009-11-11 13:56:53 -------
Приведите, пожалуйста, дистрибутив хостовый, дистрибутив устанавливаемый,
версию alterator-mkbootflash, модель флешки. 

На Альт Линукс 5.0 Ковчег Рабочая Станция на моей 8-гиговой флешке создаётся
образ Альт Линукс 5.0 Ковчег Сервер без проблем. Правда, повторная установка на
существующие файлы не проходит, но это уже другая проблема.
------- Comment #4 From 2009-11-11 16:27:34 -------
Как воспроизвести (Сегодня воспроизвёл три раза, 100% воспроизводимость):

1. Загружаемся в LiveCD с ALT Linux 5.0 школьный Master в VirtualBox (может,
это и важно, попробую установить на винчестер)
2. Вставляем 4-гиговую флешку, форматированную в FAT32, пустую
3. Начинаем создавать загрузочную флешку.

Минут через 15-20 система начинает серьёзно подвисать, курсор примерзает. Через
30 минут иксы падают.

В dmesg сообщение: alterator-brows invoked oom-killer, ну и за ним падает всё
остальное.

По всей видимости, mkbootflash создаёт какую-то файловую систему в ОЗУ, а
поскольку дистрибутив большой, оно не влезает. Ковчег Сервер весит всего 700
мегабайт, на нём может и не воспроизводиться. Попробуйте на школьном мастере —
он куда более увесистый.
------- Comment #5 From 2009-11-11 16:36:26 -------
И ещё — большая часть файлов в папке ALTLinux на флешке оказывается
повреждённой. Хорошо заметно, что файлы от a до c (до cuneiform) успевают
скопироваться, а потом идёт мусор в названиях файлов.

И последнее — систему нельзя выключить, пока она не создаст загрузочную флешку.
------- Comment #6 From 2009-11-11 16:56:31 -------
Попробовать с установленной машины не смогу, потому что
https://bugzilla.altlinux.org/show_bug.cgi?id=22246

Вечером попробую LiveCD на Bare Metal, отпишусь.
------- Comment #7 From 2009-11-11 18:08:24 -------
Это не бага. Просто в VirtualBox не хватило памяти на LiveCD и ещё и на флешку.
На живом железе с файлом подкачки такое наверняка не воспроизведётся.
------- Comment #8 From 2009-11-11 18:09:49 -------
Попробуйте на нормальном железе.
------- Comment #9 From 2009-11-11 20:12:26 -------
Воспроизводится на реальном железе. 3Gb ОЗУ, 3Gb подкачки, Athlon 64 X2 4200+,
nForce 5.

Открываю обратно. 

P.S. Порадовал подход — иксы падают, но «это не бага» :)
------- Comment #10 From 2009-11-12 13:19:27 -------
Проблема воспроизведена, разбираемся, спасибо
------- Comment #11 From 2009-11-12 14:52:58 -------
mkbootflash-0.17-alt1 -> 5.1:

* Thu Nov 12 2009 Anton V. Boyarshinov <boyarsh@altlinux> 0.17-alt1

- fixed block device detection (closes #21707)